=== debian/changelog ===
rsbac-admin (1.5.6~10aatgv1) unstable; urgency=low

  * Change version to contain mp string

 -- Amon Ott <ao@m-privacy.de>  Wed, 18 Jun 2025 12:31:00 +0200

rsbac-admin (1.5.6~10) unstable; urgency=low

  * Rebuild with separate SBOM packages

 -- Amon Ott <ao@m-privacy.de>  Thu, 16 Jan 2025 13:30:00 +0100

rsbac-admin (1.5.6~9) unstable; urgency=low

  * Rebuild with sbom data

 -- Amon Ott <ao@m-privacy.de>  Tue, 07 Jan 2025 15:01:00 +0100

rsbac-admin (1.5.6~8) unstable; urgency=low

  * RSBAC git commit 636104ce2efab7bad0b0e4527ad2e9dccc7c1a52
    Add missing R_APPEND_OPEN to RSBAC_IPC_REQUEST_VECTOR

 -- Amon Ott <ao@m-privacy.de>  Fri, 06 Dec 2024 09:44:00 +0100

rsbac-admin (1.5.6~7) unstable; urgency=low

  * debian/rules:
    - no longer build with gcc-9
  * debian/control:
    - do not Build-Depend on libctf0, gcc-9
  * RSBAC git commit b7e995a7696bf5782e54e320862f095ffa01fd5d
    main/tools/Makefile: put $(LIBS) last in CC line to fix linker problems
  * RSBAC git commit 275a3ea62ff0767f852a9abc3f7cf7e0010f1391
    Fix compile warnings in acl_rights, acl_tlist, rc_get_eff_rights_fd, rsbac_useradd
  * RSBAC git commit 026a14672cb30d3656224bfe98b1cab43f07269f
    Extend RSBAC_IPC_REQUEST_VECTOR with TRACE, TRUNCATE, MAP_EXEC
  * RSBAC git commit 60c80c5d38a5bb03a12bc4e889f125eb5b13fe64
    In nss and pam Makefile, put $(LIBS) last in CC line to fix linker problems

 -- Amon Ott <ao@m-privacy.de>  Thu, 14 Nov 2024 12:02:00 +0100

rsbac-admin (1.5.6~6) unstable; urgency=low

  * RSBAC git commit c38afa51f698ea2eac6f17b150f3ffcb8de983eb
    Add request types GET_XATTR and MODIFY_XATTR for FD targets.

 -- Amon Ott <ao@m-privacy.de>  Mon, 28 Oct 2024 13:17:00 +0100

rsbac-admin (1.5.6~5) unstable; urgency=low

  * RSBAC git commit beae8d86826fcbee62fcd91d3f7b2538861715ff
    rc_set_item: avoid dead loop when last param in a stdin line is empty.
    Also, improve verbose output in stdin mode.

 -- Amon Ott <ao@m-privacy.de>  Fri, 21 Apr 2023 11:09:00 +0200

rsbac-admin (1.5.6~4) unstable; urgency=low

  * debian/rules:
    - remove obsolete programs
  * New debian/rsbac-admin.postinst:
    - rm -f /usr/bin/backup_all_no_acl
  * debian/rsbac-admin.install:
    - comment backup_all, *acl*, mac_*, user_aci
  * debian/rsbac-admin.links:
    - comment backup_all, *acl*, mac_*, user_aci

 -- Amon Ott <ao@m-privacy.de>  Thu, 16 Feb 2023 12:24:00 +0100

rsbac-admin (1.5.6~3) unstable; urgency=low

  * debian/rsbac.conf:
    - RSBACMOD="GEN FF RC AUTH CAP JAIL RES UDF"

 -- Amon Ott <ao@m-privacy.de>  Wed, 16 Feb 2022 09:49:00 +0100

rsbac-admin (1.5.6~2) unstable; urgency=low

  * RSBAC git commit 8271d7d0d537009b3ad68a483246cfa9a19959e6
    Remove broken rklogd.
  * RSBAC git commit f9184a30fff803044cca4a3ff522c238bc32e13a
    Always build against in-tree libs, add TRACE request for FD and DEV targets.
  * RSBAC git commit be7aee5afb87ed65196187223f926637993642dd
    Remove leftovers of RSBAC klogd.
  * debian/rules:
    - ln -sf gcc-9 /usr/bin/gcc
  * debian/control:
    - Build-Depend on gcc-9

 -- Amon Ott <ao@m-privacy.de>  Mon, 06 Dec 2021 14:48:00 +0100

rsbac-admin (1.5.6~1) unstable; urgency=low

  * RSBAC git commit 42da9abc5a63143c1b463aea2ca89846cfc9e04d
    Add IPC memfd target and bump version to 1.5.6 to reflect that.
    Add RENAME to IPC request group.

 -- Amon Ott <ao@m-privacy.de>  Wed, 22 Sep 2021 08:20:00 +0200

rsbac-admin (1.5.5~10) unstable; urgency=low

  * debian/control:
    - explicitely depend some packages on librsbac1 (= ${binary:Version})

 -- Amon Ott <ao@m-privacy.de>  Tue, 22 Jun 2021 12:26:00 +0200

rsbac-admin (1.5.5~9) unstable; urgency=low

  * debian/control:
    - build package rsbac-admin for amd64 only

 -- Amon Ott <ao@m-privacy.de>  Mon, 21 Jun 2021 08:21:00 +0200

rsbac-admin (1.5.5~8) unstable; urgency=low

  * RSBAC git commit 6ebe6a622cd277e9472234b339a73fcb9531fafc
    attr_get_user: add param -Z to truncate names at first invalid UTF-8 char

 -- Amon Ott <ao@m-privacy.de>  Wed, 16 Jun 2021 11:28:00 +0200

rsbac-admin (1.5.5~7) unstable; urgency=low

  * RSBAC git commit 557743b2f3b925dc672997731ddb977645e8e727
    rsbac_usershow: add param -Z to truncate all names at first invalid UTF-8 char
    Also skip users with invalid usernames in lists.

 -- Amon Ott <ao@m-privacy.de>  Wed, 16 Jun 2021 09:45:00 +0200

rsbac-admin (1.5.5~6) unstable; urgency=low

  * RSBAC git commit 8d4952bbf7178706d7bc41d7d407c75ed241ea85
    rsbac_usershow: add parameter -d to count all users to be listed

 -- Amon Ott <ao@m-privacy.de>  Fri, 04 Jun 2021 07:49:00 +0200

rsbac-admin (1.5.5~5) unstable; urgency=low

  * RSBAC git commit a5d5fb1980502f3145e83db09a5f60e929745d3a
    rsbac_usershow: add "-i string" to only list users with string in name or fullname

 -- Amon Ott <ao@m-privacy.de>  Wed, 02 Jun 2021 13:55:00 +0200

rsbac-admin (1.5.5~4) unstable; urgency=low

  * debian/rules:
    - do not build rklogd
  * RSBAC git b52c7c94c7fa57ee033cbe77685f96c883192e16
    rklogd, rklogd-viewer: compile fixes
  * RSBAC git 908e48b15d29f69ef181b08abfd89e6dd3070d81
    rsbac_usershow: add parameters -c and -C for partial or full CSV lists of users.
    Add parameter -o to append :pseudo to CSV list.
    Add parameters -n and -x to set min and max uids to list.
    Add parameter -X n to set extra uid to list, can be set max. 20 times
  * RSBAC git a5e2244073b2dc5ee45d874b6e8167df187070bd
    rsbac_usershow: add parameter -Y to skip uids from all user list

 -- Amon Ott <ao@m-privacy.de>  Wed, 02 Jun 2021 12:42:00 +0200

rsbac-admin (1.5.5~3) unstable; urgency=low

  * RSBAC git afff3b74be800a8213b27a895d7a35bbae34e7f8
    Also support very old CAP bitstring length 29 for backwards compatibility.

 -- Amon Ott <ao@m-privacy.de>  Wed, 24 Mar 2021 09:43:00 +0100

rsbac-admin (1.5.5~2) unstable; urgency=low

  * RSBAC git aefcf0da5f0ecab4ad61556cffddd654c26e4cb2
    Support capabilities up to CHECKPOINT_RESTORE.


