=== debian/control ===
Source: rsbac-admin
Section: admin
Priority: optional
Maintainer: Amon Ott <ao@m-privacy.de>
Build-Depends: debhelper (>= 5.0.0), libpam-dev, libncurses5-dev, libtool, libtool-bin
Standards-Version: 3.7.3
Homepage: http://www.rsbac.org

Package: rsbac-admin
Architecture: amd64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, librsbac1 (= ${binary:Version}), dialog, less
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 The rsbac-admin utilities provide a way to set security properties for
 these modules. You need these utilities to be able to use these advanced
 security functions.

Package: librsbac1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the runtime shared library, used by all programs which
 interact with the RSBAC kernel code in one way or another.

Package: librsbac-dev
Section: libdevel
Architecture: any
Depends: librsbac1 (= ${binary:Version}), libnss-rsbac2 (= ${binary:Version}), libc6-dev, linux-kernel-headers
Conflicts: rsbac-dev (<< 1.3.5)
Description: RSBAC development library
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the library you need to develop programs for RSBAC.

Package: rsbac-dev
Architecture: all
Depends: librsbac-dev
Description: RSBAC development library - Transition package
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.

Package: libpam-rsbac
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, librsbac1 (= ${binary:Version})
Conflicts: rsbac-pam (<< 1.3.5)
Description: RSBAC PAM module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC PAM module to use RSBAC User Management.

Package: rsbac-pam
Architecture: all
Depends: libpam-rsbac
Description: RSBAC PAM module - Transition package
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.

Package: libnss-rsbac2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, librsbac1 (= ${binary:Version})
Conflicts: rsbac-nss
Description: RSBAC NSS module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC NSS module to use RSBAC User Management.

Package: rsbac-doc
Section: doc
Architecture: all
Description: RSBAC documentation
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains RSBAC documentation.
